# Function nativizeReturn

- nativizeReturn(decoding, options?): any

- This function is similar to [[nativize]], but takes a [[ReturndataDecoding]]. If there's only one returned value, it will be run through compatibleNativize but otherwise unaltered; otherwise the results will be put in an object.

  Note that if the ReturndataDecoding is not a [[ReturnDecoding]], this will just return `undefined`.

  #### Parameters

  - ##### decoding: ReturndataDecoding

  - ##### options: NativizeOptions = {}

  #### Returns any

  - Defined in codec/lib/export.ts:211

Generated using TypeDoc